Subject: Re: mingw headers and libraries missing
From: Georg Troska <[email-masked]>
To: "Charles D. Russell" <[email-masked]>, Dave Korn <[email-masked]>, Andy Koppe <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Jul 2009 20:12:08 +0200
List-Id: <cygwin.cygwin.com>

Ok,
thank you all for reading this stuff....

I'm able to run the code now with visual c++. I had never thought I  
would use it ;-)

actually it took me 3 hours to run a hello world and anther 6 to run  
the code

however thanks a lot. and please let me now when the cross-comipler is  
working

Georg
Am 29.07.2009 um 10:53 schrieb Georg Troska:

> Wow,
>
> sounds I have all the experts sitting together in this list. Maybe  
> you can help me once more:
>
> First a brief plan:
> I'm working for the ATLAS-Collaborationand we need  for  
> detectordevelopment a programinterface.
> We have one really big and really old programm written in LabWindows  
> C Code (of course in Windows) this is really a mess.
> And we have a big new program which is almost platform-independet (http://projects.hepforge.org/eudaq/ 
> ).
>
> These programs shound communicate with each other. As the eudaq-code  
> is running very well on cygwin I thought it would be easy to write a  
> dll for accessing it from windows. The LabWindow-thing can handle  
> this - I tried this out.
>
> So I changed the source-code a bit so that eudaq-software compiles  
> with -mno-cygwin. In deed I get it compilable. But then the code is  
> not running. For me two major problems have focussed out: I have a  
> dependency on sys/selector.h and a dependency on pthread.h I think I  
> can link against this external pthread-libraries (http://sourceware.org/pthreads-win32/ 
> ). And I found a switch inside the code for linking against  
> winsock(2).h This switch is for beeing compatible with Visual C++,  
> which actually is not working.
>
> I'm not really sure if I can use the windows-like winsock  
> environment in cygwin. Is it really compatible? What does this stuff  
> with posix and so on mean in detail?
>
> What do you think? Is it easier to get this stuff running in cygwin  
> or to make it possible in Visual C++? I would definetly prefer the  
> first one.
>
> How far is the development of the windows cross-compiler really?
>
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple